package com.citygis.base.boot.controller;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

import java.util.concurrent.ConcurrentHashMap;

@PropertySource(
        value = "classpath:grid-partitioning.properties",
        ignoreResourceNotFound = false
)
@ConfigurationProperties(
        prefix = "grid-partitioning"
)
@Configuration
@Getter
@Setter
public class GridPartitioningProperties {
    private ConcurrentHashMap<Integer, Integer> longitudeDegreeMap = new ConcurrentHashMap<>();
    private ConcurrentHashMap<Integer, Integer> latitudeDegreeMap = new ConcurrentHashMap<>();
}
